# VOICE_CALL_DIRECTIVES

voice-call-directives endpoints.

**Base URL:** `https://api.trustpager.com/functions/v1/api/v1`

## Endpoints

### GET /voice-directives

List call directives (e.g. business-hours forwarding) for the workspace.

**Scopes:** `voice-directives:read` — [full detail](./voice-call-directives/get-voice-directives.md)

### POST /voice-directives

Create a call directive. For business_hours_forward, config needs forward_to (E.164), windows, timezone, and mode.

**Scopes:** `voice-directives:write` — [full detail](./voice-call-directives/post-voice-directives.md)

### GET /voice-directives/:directive_id

Fetch a call directive by UUID.

**Scopes:** `voice-directives:read` — [full detail](./voice-call-directives/get-voice-directives-directive-id.md)

### PATCH /voice-directives/:directive_id

Update a call directive (enable/disable, priority, config).

**Scopes:** `voice-directives:write` — [full detail](./voice-call-directives/patch-voice-directives-directive-id.md)

### DELETE /voice-directives/:directive_id

Delete a call directive.

**Scopes:** `voice-directives:delete` — [full detail](./voice-call-directives/delete-voice-directives-directive-id.md)
